Subject: [pim] RE: DR election

From: "Smith, Don" <[email-masked]>
Date: Tue, 1 Mar 2005 19:47:01 -0600

Isidor,

Thanks for the quick reply.  Thinking about it a little more, consider
the following.

Suppose R1 and R2 are on the ends of the p2p link, and R1 is the DR, and
R2 wants to join a group on the interface on that link.  This would mean
that R1 would send the join, not R2.  If R1 and R2 both have p2p links
to R3, and R3 is the way to get to the RP (PIM-SM) or the source
(PIM-SSM), then the join would go from R1 to R3.  It all works, but when
multicast traffic comes back there is an extra hop: R3 to R1 to R2.  

If R2 had been the DR, then would it not send the join to R3?  In this
case, there would be one less hop, compared to the above.  It seems that
if a router wanted to join a group, then the most efficient result would
be obtained if that router itself sends the join, even in more general
cases than the one described.  

I'm not sure if this is the correct interpretation of what should occur.
In any case, your thoughts would be welcome.

Thanks,
Don 

-----Original Message-----
From: Isidor Kouvelas [mailto:[email-masked]] 
Sent: Tuesday, March 01, 2005 4:23 PM
To: Smith, Don
Cc: [email-masked]; [email-masked]; [email-masked];
[email-masked]
Subject: Re: DR election

One of the two routers may join a multicast group on its p2p link
interface. The DR on that link is responsible for initiating the
relavant joins.

Isidor

Smith, Don wrote:
> PIM Folks,
> 
> In draft-ietf-pim-sm-v2-new-11.txt, Protocol Independent Multicast 
> -Sparse Mode (PIM-SM):Protocol Specification (Revised), there is a 
> comment
> 
>      We note that some PIM implementations do not send Hello
>      messages on point-to-point interfaces, and so cannot perform
>      DR election on such interfaces.  This in non-compliant
>      behavior.  DR election MUST be performed on ALL active PIM-SM
>      interfaces.
> 
> 
> Please let me know why DR election is useful even on point-to-point 
> links.  The reason for Hellos is clear, but not DR election.  Perhaps 
> I'm missing an important point.
> 
> Thanks,
> Don Smith
> 

_______________________________________________
pim mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pim